aboutsummaryrefslogtreecommitdiffstats
path: root/testing/sipp/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-04-24 13:13:00 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-04-24 13:13:00 +0000
commit68626613f16bffc10f13a88f731d4f911da4a2f9 (patch)
treefdb04984a7080eea84d27caab896f727195df3c3 /testing/sipp/APKBUILD
parent214cf8c262f616a4eeddde47302d97e1fb71f735 (diff)
downloadaports-68626613f16bffc10f13a88f731d4f911da4a2f9.tar.gz
aports-68626613f16bffc10f13a88f731d4f911da4a2f9.tar.bz2
aports-68626613f16bffc10f13a88f731d4f911da4a2f9.tar.xz
testing/sipp: upgrade to 3.3
Diffstat (limited to 'testing/sipp/APKBUILD')
-rw-r--r--testing/sipp/APKBUILD31
1 files changed, 22 insertions, 9 deletions
diff --git a/testing/sipp/APKBUILD b/testing/sipp/APKBUILD
index 6e22d4e187..60843e3624 100644
--- a/testing/sipp/APKBUILD
+++ b/testing/sipp/APKBUILD
@@ -1,7 +1,8 @@
# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Contributor: Robert Boisvert <rdboisvert@gmail.com>
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=sipp
-pkgver=3.2
+pkgver=3.3
pkgrel=0
pkgdesc="A test tool / traffic generator for the SIP protocol"
url="http://sipp.sourceforge.net/"
@@ -9,22 +10,34 @@ arch="all"
license="GPL2+"
depends=""
depends_dev=""
-makedepends="openssl-dev libpcap-dev ncurses-dev"
+makedepends="autoconf automake openssl-dev libpcap-dev ncurses-dev"
install=""
subpackages=""
-source="http://downloads.sourceforge.net/$pkgname/$pkgname.svn.tar.gz"
-_builddir="$srcdir"/$pkgname.svn
+source="http://downloads.sourceforge.net/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$srcdir"/$pkgname-$pkgver
+ autoreconf -ivf
+}
build() {
cd "$_builddir"
- make || return 1
+ ./configure --prefix=/usr \
+ --with-openssl \
+ --with-pcap \
+ || return 1
+ make
}
package() {
cd "$_builddir"
- install -m755 -D "$_builddir"/$pkgname \
- "$pkgdir"/usr/sbin/$pkgname || return 1
- rm -f "$pkgdir"/usr/lib/*.la
+ make DESTDIR="$pkgdir" install
+ mkdir -p "$pkgdir"/usr/share/"$pkgname"
+ install -m444 -D pcap/* "$pkgdir"/usr/share/"$pkgname"/
}
-md5sums="2a3a60cb4317dcf8eb5482f6a955e4d0 sipp.svn.tar.gz"
+md5sums="8c1d513423f9dabee799e738b737e311 sipp-3.3.tar.gz"
+sha256sums="17fd02e6aa71d44a90c65e84a1aa39d3aa329990d4aa48e4fb4b895304dbc920 sipp-3.3.tar.gz"
+sha512sums="ab42a71426ae381b9cd1f36e1d64d5c4bfccc1359973e1909f9e9d0ce3b3a4391056250371708b12be0e7de998e88b9224c9f307b1d2ce437942103b6ad10d2b sipp-3.3.tar.gz"